#ifndef __SETTINGSWINDOW_H
#define __SETTINGSWINDOW_H

#include <XBApp.h>
#include <XbResource.h>
#include <XBFont.h>

#include "xPad.h"

class CXxPad;

using namespace std;

class CXSettingsWindow
{

public:
  CXSettingsWindow(CXxPad *_parent);
  HRESULT Initialize();
  HRESULT Render();
  HRESULT Cleanup();
  HRESULT FrameMove();
  void ResetSettings();

private:
  LPDIRECT3DTEXTURE8  m_pMainWindow;
  CXxPad *parent;

  float windowOpenAmount;
  bool opening;

};

#endif  //__SETTINGSWINDOW_H